﻿@model ViewModels.HumanResource.UserEditViewModel

@{
    ViewBag.Title = "ویرایش کاربر";
}

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    @Html.HiddenFor(model => model.Id)
	
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
            @Html.LabelFor(model => model.RoleId, new { @class = "label-control" })
			</div>
		</div>
		<div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
				@Html.DropDownListFor(model => model.RoleId, new SelectList(ViewBag.EmployeeRoles, "Id", "DisplayName"), new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.RoleId)
            </div>
        </div>
	</div>
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
            @Html.LabelFor(model => model.FirstName, new { @class = "label-control" })
			</div>
		</div>
		<div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
				@Html.TextBoxFor(model => model.FirstName, new { @class = "form-control", placeholder = "(الزامی)" })
                @Html.ValidationMessageFor(model => model.FirstName)
            </div>
        </div>
	</div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.LastName, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.TextBoxFor(model => model.LastName, new { @class = "form-control", placeholder = "(الزامی)" })
                @Html.ValidationMessageFor(model => model.LastName)
            </div>
        </div>
    </div>
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
            @Html.LabelFor(model => model.Email, new { @class = "label-control" })
			</div>
		</div>
		<div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
				@Html.TextBoxFor(model => model.Email, new { @class = "form-control ltr", placeholder = "(اختیاری)" })
                @Html.ValidationMessageFor(model => model.Email)
            </div>
        </div>
	</div>
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
            @Html.LabelFor(model => model.NationalCode, new { @class = "label-control" })
			</div>
		</div>
		<div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
				@Html.TextBoxFor(model => model.NationalCode, new { @class = "form-control ltr", placeholder = "(اختیاری)" })
                @Html.ValidationMessageFor(model => model.NationalCode)
            </div>
        </div>
	</div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.Username, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.TextBoxFor(model => model.Username, new { @class = "form-control ltr" })
                @Html.ValidationMessageFor(model => model.Username)
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.Password, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.PasswordFor(model => model.Password, new { @class = "form-control ltr" })
                @Html.ValidationMessageFor(model => model.Password)
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.CheckBoxFor(model => model.WantChangePassword, new { @class = "" })
                @Html.LabelFor(model => model.WantChangePassword, new { @class = "label-control" })
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.AccountStatus, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.ShowEnumDropDownListFor(model => model.AccountStatus, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.AccountStatus)
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.BanReason, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-8 col-lg-offset-4 col-md-6 col-md-offset-6">
                @Html.TextAreaFor(model => model.BanReason, new { @class = "form-control min-height" })
                @Html.ValidationMessageFor(model => model.BanReason)
            </div>
        </div>
    </div>
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
				<input type="submit" value="ثبت" class="btn btn-info"  />
			</div>
		</div>
	</div>
}
